Webhook Integration Guide

Webhooks allow your application to receive real-time event notifications from our system. Instead of polling for updates, you can configure a URL endpoint where we will send event payloads as POST requests.

You can explore available webhooks in this portal.

Quick Start

Subscribe to an event you chose:

POST
/:tenant/:environment/:company/webhook
curl -X POST https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./webhook \
-H "x-np-api-key: <NaviPartner API Key>" \
-H "Content-Type: application/json" \
-d '{
"notificationUrl": "https://webhook.site/7bb075d4-62ff-4bd9-8832-502c9ed94ab7",
"eventName": "pos_sale_completed",
"clientState": "HVA0Y6B84KBNISG45W6CA4TNE38CHSBASD"
}'

When a webhooks is triggered, you’ll receive a POST request. Notice that the individual webhook events are inside an array, as they might be batched together in practice:

{
"value": [
{
"appId": "992c2309-cca4-43cb-9e41-911f482ec088",
"clientState": "HVA0Y6B84KBNISG45W6CA4TNE38CHSBASD",
"eventName": "pos_sale_completed",
"eventVersion": "1.0",
"timestamp": "2024-01-15T10:30:00Z",
"companyName": "CRONUS International Ltd.",
"payload": {
"saleId": "e20d09ad-ab74-4f31-912f-ea58d3c9e653",
"posUnit": "POS-031",
"receiptNo": "D12345678",
"fiscalDocumentNo": "FS12345678",
"customerNo": "C12345678"
}
}
]
}
ActionEndpoint
List all webhook subscriptionsGET /webhook
Get a webhook subscriptionGET /webhook/{id}
Create a webhook subscriptionPOST /webhook
Delete a webhook subscriptionDELETE /webhook/{id}

For complete webhook endpoint references, navigate here.